Summary: C/C++ libraries for the client of the CREAM service
Name: glite-ce-cream-client-api-c
Version: 1.14.3
Release: 1.el6
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: %{_arch}
BuildRequires: cmake, chrpath
BuildRequires: glite-ce-wsdl, emi-pkgconfig-compat, gsoap-devel
BuildRequires: gridsite-devel, libxml2-devel, boost-devel
BuildRequires: voms-devel, classads-devel
BuildRequires: glite-lbjp-common-gsoap-plugin-devel, log4cpp-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}.tar.gz

%global debug_package %{nil}

%description
The package contains C/C++ libraries for the client of the CREAM service

%prep
 

%setup -c -q

%build
cmake -DCMAKE_INSTALL_PREFIX:string=%{buildroot} %{_builddir}/%{name}-%{version}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install
sed 's|%{buildroot}||g;s|lib\s*$|lib64|g' %{buildroot}%{_libdir}/pkgconfig/cream-client-api-soap.pc > %{buildroot}%{_libdir}/pkgconfig/cream-client-api-soap.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/cream-client-api-soap.pc.new %{buildroot}%{_libdir}/pkgconfig/cream-client-api-soap.pc
sed 's|%{buildroot}||g;s|lib\s*$|lib64|g' %{buildroot}%{_libdir}/pkgconfig/cream-client-api-util.pc > %{buildroot}%{_libdir}/pkgconfig/cream-client-api-util.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/cream-client-api-util.pc.new %{buildroot}%{_libdir}/pkgconfig/cream-client-api-util.pc


%clean
rm -rf %{buildroot}
 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/libglite_ce_cream_client_*.so.0
%{_libdir}/libglite_ce_cream_client_*.so.0.0.0



%package -n glite-ce-cream-client-devel
Summary: Development files for the client of the CREAM service
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glite-jobid-api-cpp-devel, glite-jobid-api-c-devel,
Requires: glite-lbjp-common-gsoap-plugin-devel
Requires: boost-devel, classads-devel, log4cpp-devel, gsoap-devel
Requires: voms-devel, gridsite-devel, libxml2-devel

%description -n glite-ce-cream-client-devel
The package contains development files for the client of the CREAM service

%files -n glite-ce-cream-client-devel
%defattr(-,root,root)
%dir /usr/include/glite/
%dir /usr/include/glite/ce/
%dir /usr/include/glite/ce/cream-client-api-c/
/usr/include/glite/ce/cream-client-api-c/*.h
/usr/include/glite/ce/cream-client-api-c/*.nsmap
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libglite_ce_cream_client_*.so


%changelog
* Fri Aug 31 2012 CREAM group <cream-support@lists.infn.it> - 1.14.3-1.el6
- New major release


